Bug 983444 - File renaming causes error
File renaming causes error
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Alexandre Porcelli
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 04:51 EDT by Jiri Locker
Modified: 2014-08-06 16:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rename error (90.90 KB, image/png)
2013-07-11 04:51 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-07-11 04:51:39 EDT
Created attachment 772091 [details]
Rename error

Description of problem:
After renaming a file error message pops up (see screenshot). The active tab doesn't reflect the name change and becomes invalid (e.g. switching to matadata searches for the old file name metadata and fails).

Although the file was successfully moved to the new location (renamed), it is not visible in Project Explorer (Business view) until the perspective is changed (e.g. switch to Administration and back to Project Authoring).

Version-Release number of selected component (if applicable):
DR6/Beta5

How reproducible:
always

Steps to Reproduce:
1. in Project Explorer (Business), navigate to mortgages project
2. open Dummy rule
3. rename it

Actual results:
* error message
* active tab doesn't reflect the name change
* renamed file not visible in Project Explorer until the perspective is switched

Expected results:
* no errors (unless the target file already exists)
* would be nice if the active tab reflected the name change and user would be able to continue working with the renamed file
* the new file should appear in Project Explorer immediately (works when making a copy)


Additional info:
Comment 2 Alexandre Porcelli 2013-09-10 14:59:40 EDT
Bug fixed. The following commits has some impact on it

Fix at lucene index level (master and 6.0.x)
https://github.com/droolsjbpm/kie-commons/commit/dc61d7610
https://github.com/droolsjbpm/kie-commons/commit/4776d7bc1

This commit is related to this and other issues (only master for now, waiting input from errai team)
https://github.com/droolsjbpm/uberfire/commit/6ca56af11
Comment 3 Alexandre Porcelli 2013-09-11 12:27:23 EDT
0.3.x branch also updated (after errai team feedback)

https://github.com/droolsjbpm/uberfire/commit/11d52a7
Comment 7 Jiri Locker 2013-10-15 09:41:24 EDT
Fixed in ER4.

Note You need to log in before you can comment on or make changes to this bug.